Getting Started

Feeds are more complex than most endpoints due to various feed types, options, and pagination methods.

Load a community feed using the following endpoint:

GET https://api.scored.co/api/v2/post/hotv2.json?community=meta

Sort Options

Feeds can be sorted multiple ways. Each sorting method has a separate endpoint but identical functionality:

  • hot (/api/v2/post/hotv2.json)
  • new (/api/v2/post/newv2.json)
  • active (/api/v2/post/activev2.json)
  • rising (/api/v2/post/risingv2.json)
  • top (/api/v2/post/topv2.json)

Common Parameters

ValueTypeRequiredDescription
communitystringtrueRequested community feed
fromstringfalsePagination cursor
appSafebooleanfalseReturn censored content safe for app stores
feedIdintfalseRequest a custom feed
blockedCommunitiesstring arrayfalseCommunities to exclude¹

¹ When authenticated, blockedCommunities is not required. Communities blocked at the account level are excluded automatically.

Trending, All, and Home

Trending, All, and Home feeds use the same endpoints.

For Home, set community to Home.

For Trending or All, set community to win.

View Trending and All feed options.

Pagination

Use the from parameter to paginate feeds.

Provide the uuid of the post from which to fetch more posts.

This is typically the uuid of the last post on the previous page.

Backward pagination is not supported.

Top Sort

View how to use the Top sort.